> ## Documentation Index
> Fetch the complete documentation index at: https://dom-6a1f70d6.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Ajouter Notification



## OpenAPI

````yaml openapi.json post /notifications/
openapi: 3.0.3
info:
  title: DELIVERY API
  description: API pour la plateforme fournissant une api de gestion de livraison
  version: 1.0.0
servers: []
security: []
paths:
  /notifications/:
    post:
      tags:
        - Notifications
        - Notifications
      summary: Ajouter Notification
      operationId: ajouter_notification_notifications__post
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/NotificationCreate'
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotificationRead'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    NotificationCreate:
      properties:
        user_id:
          type: string
          format: uuid
          title: User Id
        user_type:
          type: string
          title: User Type
        titre:
          type: string
          title: Titre
        message:
          type: string
          title: Message
        type:
          $ref: '#/components/schemas/TypeNotification'
          default: info
      type: object
      required:
        - user_id
        - user_type
        - titre
        - message
      title: NotificationCreate
    NotificationRead:
      properties:
        user_id:
          type: string
          format: uuid
          title: User Id
        user_type:
          type: string
          title: User Type
        titre:
          type: string
          title: Titre
        message:
          type: string
          title: Message
        type:
          $ref: '#/components/schemas/TypeNotification'
          default: info
        id:
          type: string
          format: uuid
          title: Id
        lu:
          type: boolean
          title: Lu
        date_envoi:
          type: string
          format: date-time
          title: Date Envoi
      type: object
      required:
        - user_id
        - user_type
        - titre
        - message
        - id
        - lu
        - date_envoi
      title: NotificationRead
      example:
        date_envoi: '2025-07-16T10:53:58.945089'
        id: d1f4c1c1-xxxx-xxxx-xxxx-xxxxxxxxxxxx
        lu: false
        message: Votre commande a été validée.
        titre: Nouvelle commande
        type: success
        user_id: abf4c1c1-xxxx-xxxx-xxxx-xxxxxxxxxxxx
        user_type: client
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    TypeNotification:
      type: string
      enum:
        - info
        - warning
        - error
        - success
      title: TypeNotification
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.